using System;

namespace ConsoleApplication1
{
    class Program
    {
        static int[,] poznanstva;
        static int[] druzeljubivost;

        static void Main(string[] args)
        {
            string[] x = Console.ReadLine().Split(' ');
            int N = int.Parse(x[0]);
            int M = int.Parse(x[1]);

            druzeljubivost = new int[N];
            poznanstva = new int[M,2];


            for (int i = 0; i < N; i++)
                druzeljubivost[i] = int.Parse(Console.ReadLine());


            int UkupnaSreca = 0;

            for (int i = 0; i < M; i++)
            {
                x = Console.ReadLine().Split(' ');

                poznanstva[i,0] = int.Parse(x[0]);
                poznanstva[i,1] = int.Parse(x[1]);

                if (druzeljubivost[poznanstva[i, 0]-1] < 0 && druzeljubivost[poznanstva[i, 1]-1] < 0)
                {
                    UkupnaSreca += druzeljubivost[poznanstva[i, 0]-1] * (-1);
                    UkupnaSreca += druzeljubivost[poznanstva[i, 1]-1] * (-1);
                    continue;
                }
                else
                {
                    if (druzeljubivost[poznanstva[i, 0]] < 0)
                    {
                        if (druzeljubivost[poznanstva[i, 0]] * (-1) > druzeljubivost[poznanstva[i, 1]])
                        {
                            UkupnaSreca += druzeljubivost[poznanstva[i, 0]-1] * (-1);
                            UkupnaSreca += druzeljubivost[poznanstva[i, 1]-1] * (-1);
                        }
                        else
                        {
                            UkupnaSreca += druzeljubivost[poznanstva[i, 0]-1];
                            UkupnaSreca += druzeljubivost[poznanstva[i, 1]-1];
                        }
                    }
                    else
                    {
                        if (druzeljubivost[poznanstva[i, 1]-1] * (-1) > druzeljubivost[poznanstva[i, 0]-1])
                        {
                            UkupnaSreca += druzeljubivost[poznanstva[i, 0]-1] * (-1);
                            UkupnaSreca += druzeljubivost[poznanstva[i, 1]-1] * (-1);
                        }
                        else
                        {
                            UkupnaSreca += druzeljubivost[poznanstva[i, 0]-1];
                            UkupnaSreca += druzeljubivost[poznanstva[i, 1]-1];
                        }
                    }
                }
            }

            Console.WriteLine(UkupnaSreca);

            Console.Read();
        }
    }
}